Skip to content
Snippets Groups Projects
Commit 65d8d90c authored by Hörl, Maximilian's avatar Hörl, Maximilian
Browse files

check if CGAL is installed in install.sh

parent 995dc53f
Branches
Tags
No related merge requests found
......@@ -5,12 +5,12 @@ echo "**************************************************************************
echo "(0/3) Checking all prerequistes. (git cmake gcc g++ pkg-config paraview)"
echo "*********************************************************************************************"
# check some prerequistes
for PRGRM in git cmake gcc g++ pkg-config paraview; do
if ! [ -x "$(command -v $PRGRM)" ]; then
echo "Error: $PRGRM is not installed." >&2
exit 1
fi
# check some prerequisites
for pkg in git cmake gcc g++ pkg-config paraview libcgal-dev; do
if [ $(dpkg-query -W -f='${Status}' $pkg 2>/dev/null | grep -c "ok installed") -eq 0 ]; then
echo "Error: $pkg is not installed." >&2
exit 1
fi
done
# check gcc version for C++17 support
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Please register or to comment